# object_positions.py
import numpy as np
from pyrep.objects.joint import Joint

def get_object_positions():
    positions = {}
    
    button_joint = Joint('target_button_joint')
    button_pos = button_joint.get_position()
    
    approach_offset = np.array([0, 0, 0.05])
    button_approach_pos = button_pos + approach_offset
    
    positions['button'] = button_approach_pos
    
    return positions